"use strict";

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

var _reactDom = require("react-dom");

var _reactHotLoader = require("react-hot-loader");

var _Application = require("app/Application");

var _Application2 = _interopRequireDefault(_Application);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

moment.locale("pt");

if (!window.headerIcon) {
  var iconRel = document.createElement("link");
  iconRel.rel = "icon";
  iconRel.sizes = "128x128";
  document.head.appendChild(iconRel);

  window.headerIcon = true;
}

var container = document.getElementById("root");

var renderApp = function renderApp(App) {

  var app = _react2.default.createElement(
    _reactHotLoader.AppContainer,
    null,
    _react2.default.createElement(App, null)
  );

  (0, _reactDom.render)(app, container);
};

renderApp(_Application2.default);

if (module.hot) {
  module.hot.accept(function () {
    var NewApplication = require("app/Application/").default;
    renderApp(NewApplication);
  });
}