"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.rootValue = exports.schema = exports.user = undefined;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _graphql = require("graphql");

var _user = require("./user");

var _user2 = _interopRequireDefault(_user);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var schema = new _graphql.GraphQLSchema({
  query: new _graphql.GraphQLObjectType({
    name: "RootQuery",
    fields: _extends({}, _user2.default.queries)
  }),
  mutation: new _graphql.GraphQLObjectType({
    name: "RootMutation",
    fields: _extends({}, _user2.default.mutations)
  })
});

var rootValue = function rootValue(payload) {
  return _extends({}, payload);
};

exports.user = _user2.default;
exports.schema = schema;
exports.rootValue = rootValue;
exports.default = { user: _user2.default, schema: schema, rootValue: rootValue };