"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _ = require("../");

function _asyncToGenerator(fn) { return function () { var gen = fn.apply(this, arguments); return new Promise(function (resolve, reject) { function step(key, arg) { try { var info = gen[key](arg); var value = info.value; } catch (error) { reject(error); return; } if (info.done) { resolve(value); } else { return Promise.resolve(value).then(function (value) { step("next", value); }, function (err) { step("throw", err); }); } } return step("next"); }); }; }

var query = function query(table) {
  return "DELETE FROM " + table + " WHERE id = $1";
};

exports.default = function (config) {
  return function () {
    var _ref = _asyncToGenerator( /*#__PURE__*/regeneratorRuntime.mark(function _callee(index) {
      var name, result;
      return regeneratorRuntime.wrap(function _callee$(_context) {
        while (1) {
          switch (_context.prev = _context.next) {
            case 0:
              name = config.name;
              _context.next = 3;
              return (0, _.psqlQuery)(query(name), [index]);

            case 3:
              result = _context.sent;
              return _context.abrupt("return", {
                success: result.rowCount > 0,
                index: index
              });

            case 5:
            case "end":
              return _context.stop();
          }
        }
      }, _callee, undefined);
    }));

    return function (_x) {
      return _ref.apply(this, arguments);
    };
  }();
};