import { GraphQLSchema, /* GraphQLInt, GraphQLString,*/ GraphQLObjectType } from "graphql"

import user from "./user"

const schema = new GraphQLSchema( {
  query: new GraphQLObjectType( {
    name: "RootQuery",
    fields: {
      ...user.queries,
    },
  } ),
  mutation: new GraphQLObjectType( {
    name: "RootMutation",
    fields: {
      ...user.mutations,
    },
  } ),
} )

const rootValue = ( payload ) => ( { ...payload } )

export { user, schema, rootValue }
export default { user, schema, rootValue }
