import { psqlQuery } from "../"

const query = ( table ) =>
  `DELETE FROM ${ table } WHERE id = $1`

export default config =>
  async index => {
    const { name } = config
    const result = await psqlQuery( query( name ), [ index ] )
    return {
      success: result.rowCount > 0,
      index,
    }
  }
